KDEINIT4(8)

NAME
kdeinit4 - Avvia tutti gli altri programmi di KDE e i moduli caricabili di kdeinit (KLM).

SYNOPSIS

kdeinit4 [--help] [--no-fork | --no-kded | --suicide] [+programmi | programmi]

DESCRIZIONE

kdeinit4 è un avviatore di processi in qualche modo simile al più noto init, usato per avviare UNIX. Esegue i programmi di KDE e i moduli caricabili di kdeinit (KLM), avviandoli più efficientemente.

Usare kdeinit4 per avviare le applicazioni di KDE rende l'avviamento di una tipica applicazione di KDE raddoppia la velocità di avviamento e riduce significativamente il consumo di memoria.

kdeinit4 è collegato a tutte le librerie necessarie a una comune applicazione di KDE. Con questa tecnica, avviare un'applicazione è molto più veloce perché ora deve essere collegata solo l'applicazione stessa, mentre altrimenti sia l'applicazione che le librerie da essa usate avrebbero dovuto essere collegate.

SVANTAGGI

Il nome del processo delle applicazioni avviate con kdeinit4 è kdeinit4. Questo problema può essere corretto fino ad un certo punto cambiando il nome dell'applicazione indicato da ps. Tuttavia, applicazioni come killall vedranno solo kdeinit4 come nome del processo. Per aggirare il problema, usa kdekillall (dal pacchetto kdesdk/scripts) per le applicazioni avviate con kdeinit4.

OPZIONI

--help
    Mostra la guida sulle opzioni

--no-fork
    Non biforcare, cioè non uscire finché non sono finiti tutti i programmi in esecuzione

--no-kded
    Non avviare kded

--suicide
    Termina quando non ci sono più applicazioni di KDE in esecuzione

+programmi
    esegue le richieste di gestione dei programmi

programmi
    esegue i programmi senza richieste di gestione

USO

Un modo comune per eseguire questo programma è specificare semplicemente il seguente comando al prompt: kdeinit4 programma o kdeinit4 +programma.

FILE

/tmp/kde-$UTENTE/kdeinit4_$ISTANZA
    ...

VARIABILI D'AMBIENTE

$HOME
    Specifica la cartella Home dell'utente attuale

$KDE_HOME_READONLY
    Specifica se la cartella Home dell'utente attuale è di sola lettura

$KDE_IS_PRELINKED
    Se impostato, dice a kdeinit4 che i programmi di KDE sono precollegati. (Il precollegamento è un processo che permette di accelerare il collegamento dinamico).

$KDE_DISPLAY
    Se impostato, dice a kdeinit4 che sta lavorando con un desktop KDE.

VEDI ANCHE

kded, kdekillall

ERRORI

Probabilmente ce ne sono a bizzeffe. Usa bugs.kde.org: http://bugs.kde.org per segnalarli.

AUTHORS
Waldo Bastian <bastian@kde.org>, Mario Weilguni <mweilguni@sime.com>, Lubos Lunak <l.lunak@kde.org>.